
require 'zfsmgr-lib.pl';

# acl_security_form(&options)
sub acl_security_form
{
my ($access)=@_;

print ui_table_row($text{"demo_mode"},
  ui_yesno_radio("demo", $access->{'demo'}));
print ui_table_hr();
print ui_table_row($text{"pool_create"},
  ui_yesno_radio("upool_create", $access->{'upool_create'}));
print ui_table_row($text{"pool_destroy"},
  ui_yesno_radio("upool_destroy", $access->{'upool_destroy'}));
print ui_table_row($text{"pool_import_export"},
  ui_yesno_radio("upool_impexp", $access->{'upool_impexp'}));
print ui_table_row($text{"pool_properties"},
  ui_yesno_radio("upool_prop", $access->{'upool_prop'}));

print ui_table_hr();

print ui_table_row($text{"zfs_create"},
  ui_yesno_radio("uzfs_create", $access->{'uzfs_create'}));
print ui_table_row($text{"zfs_destroy"},
  ui_yesno_radio("uzfs_destroy", $access->{'uzfs_destroy'}));
print ui_table_row($text{"zfs_properties"},
  ui_yesno_radio("uzfs_prop", $access->{'uzfs_prop'}), 3);

print ui_table_hr();

print ui_table_row($text{"zvol_create"},
  ui_yesno_radio("uvol_create", $access->{'uvol_create'}));
print ui_table_row($text{"zvol_destroy"},
  ui_yesno_radio("uvol_destroy", $access->{'uvol_destroy'}));
print ui_table_row($text{"zvol_properties"},
  ui_yesno_radio("uvol_prop", $access->{'uvol_prop'}), 3);

print ui_table_hr();

print ui_table_row($text{"snap_create"},
  ui_yesno_radio("usnap_create", $access->{'usnap_create'}));
print ui_table_row($text{"snap_destroy"},
  ui_yesno_radio("usnap_destroy", $access->{'usnap_destroy'}));
print ui_table_row($text{"snap_properties"},
  ui_yesno_radio("usnap_prop", $access->{'usnap_prop'}));
print ui_table_row($text{"snap_send"},
  ui_yesno_radio("usnap_send", $access->{'usnap_send'}));
print ui_table_row($text{"snap_recv"},
  ui_yesno_radio("usnap_recv", $access->{'usnap_recv'}), 3);

print ui_table_hr();

print ui_table_row($text{"dataset_managed"},
	ui_textbox("mdataset", $access->{'mdataset'}, 32), 4);

#print ui_table_row($text{"hidden_datasets"},
#	ui_textbox("hidden_ds", $access->{'hidden_ds'}, 32), 4);

}

sub acl_security_save
{
my ($access, $in) = @_;
$access->{'upool_create'} = $in->{'upool_create'};
$access->{'upool_destroy'} = $in->{'upool_destroy'};
$access->{'upool_impexp'} = $in->{'upool_impexp'};
$access->{'upool_prop'} = $in->{'upool_prop'};
$access->{'uzfs_create'} = $in->{'uzfs_create'};
$access->{'uzfs_destroy'} = $in->{'uzfs_destroy'};
$access->{'uzfs_prop'} = $in->{'uzfs_prop'};
$access->{'uvol_create'} = $in->{'uvol_create'};
$access->{'uvol_destroy'} = $in->{'uvol_destroy'};
$access->{'uvol_prop'} = $in->{'uvol_prop'};
$access->{'usnap_create'} = $in->{'usnap_create'};
$access->{'usnap_destroy'} = $in->{'usnap_destroy'};
$access->{'usnap_prop'} = $in->{'usnap_prop'};
$access->{'usnap_send'} = $in->{'usnap_send'};
$access->{'usnap_recv'} = $in->{'usnap_recv'};
$access->{'mdataset'} = $in->{'mdataset'};
$access->{'demo'} = $in->{'demo'};
}
